## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 14;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.0
%bcond_without check

# https://github.com/gogo/protobuf
%global goipath         github.com/gogo/protobuf
Version:                1.3.2

%gometa

%global common_description %{expand:
Gogoprotobuf is a fork of golang/protobuf with extra code generation features.

This code generation is used to achieve:

 - fast marshalling and unmarshalling
 - more canonical Go structures
 - goprotobuf compatibility
 - less typing by optionally generating extra helper code
 - peace of mind by optionally generating test and benchmark code
 - other serialization formats}

%global golicenses      LICENSE
%global godocs          AUTHORS CONTRIBUTORS README bench.md custom_types.md Readme.md extensions.md

Name:           %{goname}
Release:        %autorelease
Summary:        Protocol buffers for Go with gadgets

License:        BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  protobuf-compiler

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in protoc-gen-gogofast protoc-min-version gogoreplace protoc-gen-gogoslick protoc-gen-combo protoc-gen-gogofaster protoc-gen-gostring conformance protoc-gen-gogo protoc-gen-gofast protoc-gen-gogotypes; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
for test in "TestGolden" \
            "TestDashFilename" \
            "TestEmbedMarshaler" \
            "TestRepeatedEmbed" \
            "TestRepeatedEmbTestTakesTooLongToDebuged" \
            "TestTakesTooLongToDebug" \
            "TestPopulateWarning" \
            "TestStdTypesGoString" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE
%doc AUTHORS CONTRIBUTORS README bench.md custom_types.md extensions.md
%doc Readme.md
%{_bindir}/*

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Sep 13 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-10
- Disable test TestStdTypesGoString failing on f38

* Tue Sep 13 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-9
- SPEC cleanup

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.3.2-6
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 21:04:36 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-1
- Update to 1.3.2

* Sat Feb 01 21:46:33 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-4
- Fix FTBFS

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 01 21:46:33 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-1
- Update to 1.3.1

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.1-3
- Add Obsoletes for old name

* Wed Apr 24 01:58:26 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.1-2
- Update to new macros

* Wed Mar 06 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.1-1
- Release 1.2.1

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 01 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.1-1
- Release 1.1.1

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0.4-0.9.git100ba4e
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 0.4-0.8.git100ba4e
- Rebuild with fixed binutils

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-0.7.git100ba4e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 07 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.4-0.6.git100ba4e
- Bump to 100ba4e885062801d56799d78530b73b178a78f3

* Wed Mar 07 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.4-0.5.gitf6b4bb7
- Update to spec 3.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-0.4.gitf6b4bb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-0.3.gitf6b4bb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-0.2.gitf6b4bb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 09 2017 Jan Chaloupka <jchaloup@redhat.com> - 0.4-0.1.gitf6b4bb7
- Bump to upstream f6b4bb7b2dde1736b809b3da996ed72f278e9be9
  resolves: #1428951

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-0.6.gitd7788ac
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 20 2017 Jan Chaloupka <jchaloup@redhat.com> - 0.2-0.5.gitd7788ac
- Bump to upstream d7788ac7ca647999a3775cb756e449ab177dd138
  related: #1246215

* Sat Dec 17 2016 Jan Chaloupka <jchaloup@redhat.com> - 0.2-0.4.gite18d7aa
- Polish the spec file
  related: #1246215

* Wed Aug 03 2016 jchaloup <jchaloup@redhat.com> - 0.2-0.3.gite18d7aa
- Bump to upstream e18d7aa8f8c624c915db340349aad4c49b10d173
  related: #1246215

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-0.2.gitc3995ae
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun May 15 2016 jchaloup <jchaloup@redhat.com> - 0.2-0.1.gitc3995ae
- Bump to upstream c3995ae437bb78d1189f4f147dfe5f87ad3596e4
  related: #1246215

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.4.gite8904f5
- https://fedoraproject.org/wiki/Changes/golang1.6

* Thu Feb 18 2016 jchaloup <jchaloup@redhat.com> - 0.1-0.3.gite8904f5
- Bump to upstream e8904f58e872a473a5b91bc9bf3377d223555263
  related: #1246215

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.2.git8edb24c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Sep 30 2015 jchaloup <jchaloup@redhat.com> - 0.1-0.1.git8edb24c
- Bump to upstream 8edb24c179ed858a38f18920d9005c2dde05ec17
  related: #1246215

* Sat Aug 22 2015 jchaloup <jchaloup@redhat.com> - 0-0.13.git5ba1012
- Update spec file to spec-2.0
  related: #1246215

* Thu Jul 23 2015 jchaloup <jchaloup@redhat.com> - 0-0.12.git5ba1012
- Bump to upstream 5ba1012ef3868db1b9ff374280a558c1bfff39c3
- Disable tests
  resolves: #1246215

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.gitbc946d0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 jchaloup <jchaloup@redhat.com> - 0-0.10.gitbc946d0
- Bump to upstream bc946d07d1016848dfd2507f90f0859c9471681e
  import path has changed -> add devel package to keep back compatibility
  with code.google.com/p/gogoprotobuf import paths

* Fri Sep 19 2014 jchaloup <jchaloup@redhat.com> - 0-0.9.gitd228c1a
- initial commit (package review #1120882)

* Fri Sep 19 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.8.gitd228c1a
- preserve timestamps
- don't own golang dirs
- don't redifine gopath
- ExcluseBuild for goarches

* Thu Jul 17 2014 Colin Walters <walters@verbum.org> - 0-0.7.gitd228c1a
- Initial package

## END: Generated by rpmautospec
